commit 89beb34bf704aaeaa7e06b5ff1048842e6dbd22c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 17:26:07 2022 -0400

    fix, add `--ro-bind-try /usr/libexec /usr/libexec`
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/372

commit 70d55d63251117a90f8df3dbb05aaeddc6b5cec7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 14:10:00 2022 -0400

    bumped changelog version

commit f592f3e353f369e28a71154f10626f8d8c13e7cf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 14:00:48 2022 -0400

    https://forums.whonix.org/t/delete-disable-nobody-user-from-whonix-passwd/14085

commit 58254fd145d45e53e8202473e0792fafb9296dcc
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 13:50:06 2022 -0400

    output

commit 85b211e56d58046f985c582be0ca70c82e7de786
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 13:48:09 2022 -0400

    fix error message if application is not installed

commit 48040ab7cedabe22fe180025fba1292c33992fe5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 13:40:59 2022 -0400

    refactoring

commit 8f072049c8e96279715a4c7fc8a26c9bfdf7c08a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 13:36:52 2022 -0400

    fix `ERROR: File '/usr/share/sandbox-app-launcher/wrapper-script-wx-wx' does not exist.`
    
    Thanks to @TNT_BOM_BOM for the bug report!
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/368

commit 2a962d9584f450a405c80cf5dbe36764af3bd0ca
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 13:13:54 2022 -0400

    bumped changelog version

commit fb215f1204a3e463d601ba67069a9b531a28db2d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 13:12:24 2022 -0400

    mkdir --parents

commit 5cbe136262a1fe3459c795d1bbdcfecaffa79ba3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 13:12:01 2022 -0400

    refactoring

commit 116d53364e9efef5d501c98bc6e317399e73ec09
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 13:06:25 2022 -0400

    fix `ERROR: File '/usr/share/sandbox-app-launcher/wrapper-script-wx-wx' does not exist.`
    
    Thanks to @TNT_BOM_BOM for the bug report!
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/368

commit 6461423fb8868000cd12b8a58d95191a0fb49c28
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Jul 24 12:57:18 2022 -0400

    refactoring

commit 2c09a9cfa1a1134c3679cd5d3a54cef411f42e5f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed May 25 06:07:15 2022 -0400

    bumped changelog version

commit 78a2c5315f48a956374ca5208d13a0d565b857dd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 15:27:09 2022 -0400

    readme

commit a0821135b0544d39dc7c1b3ff6a65be879dd4d8c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri May 20 14:46:38 2022 -0400

    copyright

commit 9f91c37cbb4e3ba0da53e400ab46f37029373af3
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Apr 10 12:40:15 2022 -0400

    readme

commit 7e38748a657f9dff1f8e2077313f69b2ce23e586
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Nov 9 14:32:33 2021 -0500

    readme

commit 01ffb65cf61c17ccafb23f95eb48fa4310c2dde5
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Sep 12 11:55:36 2021 -0400

    bumped changelog version

commit 6f3442f2338d92a8e73f3db388a5b0732446419e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Sep 11 16:31:38 2021 -0400

    readme

commit eb5f7cd81e3a3e05a1e1bfcab6425f0266bb42de
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:30:56 2021 -0400

    bumped changelog version

commit 9e08c03af80a77d46ea7a3168b9228340f840a53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 22 05:22:38 2021 -0400

    LANG=C str_replace

commit 7aa3abd12ffc4c273ad03493cf41d959d62fc83c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Aug 5 17:01:45 2021 -0400

    bumped changelog version

commit 51cd0854c20ee89e23abc3fe74662b46bb50b8be
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 12:48:56 2021 -0400

    move /usr/lib/helper-scripts and /usr/lib/curl-scripts to /usr/libexec/helper-scripts as per lintian FHS

commit ad3055f6fb26978c762725f6b40290deb6c4cc0e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:47:34 2021 -0400

    re-generate man pages (generated using "genmkfile manpages")

commit f1daeb6b88ebc51e069edf5e4fc4505a6b44b7f2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 11:43:46 2021 -0400

    man page

commit 1cab005b909d3584c8f7f57f125cba5d4587fd6d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Aug 3 05:48:25 2021 -0400

    bullseye

commit 2b43ac51cd4eaf459a3a626ffd508afef820ab95
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sun Aug 1 16:24:39 2021 -0400

    readme

commit 31d99e381330641c48117d272d96cd2c79ac035a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 15 13:09:13 2021 -0400

    bumped changelog version

commit 4cdf0bd8a2ce3e19f751d12a911c2fb064b568b8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 12 07:18:14 2021 -0400

    comment

commit d9ffa6f21294e24f5ad58d39ad5a5bf5bd1b907f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 12 07:12:38 2021 -0400

    comment

commit 2f916661f93f99213686109794e24467215d9709
Merge: f2db635 825e795
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 12 07:08:08 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit 825e7958720bc39ae8f977ba1dc2354c1c6bf1a1
Merge: f2db635 b818157
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Jun 12 07:07:24 2021 -0400

    Merge pull request #62 from madaidan/remove-if
    
    Remove if statement when copying wrapper-script-wx

commit b818157203ff1ecba84e07e9565457db7153528a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jun 11 21:11:59 2021 +0000

    Remove if statement when copying wrapper-script-wx

commit f2db6350a53d23fe800d0e82e58a181405e5ccb2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 9 14:08:53 2021 -0400

    bumped changelog version

commit 01785426256cf1f4e1087c7bfdf8525acee068dc
Merge: 6a4c8df feae60d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Jun 9 14:08:32 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit feae60d3e2a9e7dfdc1df8876c53c968d7800028
Merge: 4b2012b 29c4464
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 8 01:57:14 2021 -0400

    Merge pull request #61 from madaidan/list
    
    Add option to list all currently configured sandboxes

commit 4b2012b301f1c681bd110589b639de4c411ef6b2
Merge: 6a4c8df e763f91
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 8 01:56:43 2021 -0400

    Merge pull request #60 from madaidan/fix-apparmor
    
    Fix AppArmor

commit e763f9122041800f15d5c4903701c3d7f7bf05b6
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jun 4 20:22:53 2021 +0000

    Check for wrapper-script-wx

commit 203f411b9201b7a3b8a78de5854bdbb73d32f7c2
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jun 4 20:19:38 2021 +0000

    Fix AppArmor

commit 29c44641b00aebb12450a7a153c8ba9059dfaf99
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Jun 4 19:28:41 2021 +0000

    Add option to list all currently configured sandboxes

commit 6a4c8df16cae9efe78cf1d74f074846468676364
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 07:35:09 2021 -0400

    bumped changelog version

commit 8a8dc7a8a0b7009c437aff76f84bbb13e1361fce
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 07:04:49 2021 -0400

    comment

commit 2bb1ff01e4637769ccd10a6acf19c2270faee8ea
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 07:02:55 2021 -0400

    comment

commit b40677aeb59c1d80b9225aa896ceb540a8e6c242
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 06:58:39 2021 -0400

    fix

commit 5ae49e922d6026f233f4c609fb03ce38438b6f7b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 06:32:11 2021 -0400

    debugging

commit 111511819e3bd2f4948c166cfe82e43823d47ce2
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 06:31:40 2021 -0400

    debugging

commit 088e4a0170f817e99851db0a886cab9f2982fd92
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 06:27:20 2021 -0400

    pass app_user to bwrap-wrapper

commit c4fd64dcf572db1ba6dd10ae06da9bfd0c181e75
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 06:25:43 2021 -0400

    pass variables to bwrap-wrapper

commit 41a88bad2885b01e95c89c633bd5311636e58a6e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 06:20:26 2021 -0400

    proper whitespace handling

commit 820aa9a2864281e2a2c842c101389edfa88f6940
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 06:14:29 2021 -0400

    proper quoting for multiple parameter support

commit 12657eec166f8732fbc8fb45c4e50fcfc2a2b055
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 06:11:35 2021 -0400

    add usr/share/sandbox-app-launcher/bwrap-wrapper

commit fd0469807144edfe69fe0dbe9579a3b94235453a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Jun 1 06:10:35 2021 -0400

    initial unfinished bwrap-wrapper implementation
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/359

commit 01c134acfa2cef2ac1cb3f5ba9234daacd2fcf59
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 19:32:06 2021 -0400

    bumped changelog version

commit 24ca2da82bc90add9cc1fe38ccb826714c4127fd
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 16:10:23 2021 -0400

    wait (blocking) for processes inside the sandbox to be killed

commit f939fe8b579063478576e8fab02e3468a09dd03c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 15:36:47 2021 -0400

    replace dynamic wrapper script creation with static script
    
    for code simplification
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/352

commit 1c00f84b719ef36185c54f7e187f886265b95161
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 11:12:46 2021 -0400

    bumped changelog version

commit 133558cc97d3ee0523f555a53dfb2c9a1cd5daa8
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 10:38:09 2021 -0400

    fix wrapper script creation and access rights

commit a9a760071be1266157e989178e898d685a0de01a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 09:27:37 2021 -0400

    improve command to create wrapper script for more self-explanatory bash xtrace

commit 83b68c672277269207e9bb0a0ca6b2e5a3517a33
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 09:06:24 2021 -0400

    unduplicate/remove permission check code in function run_program
    
    since already done exactly the same in function setup_or_check which runs anyhow

commit cc319021ad289c78ffcde4889809f4757dac3840
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 09:00:46 2021 -0400

    minor usability improvements
    
    * Downgraded messages if removal previously completed to `INFO:`. Not an issue to worry the user with.
    * Show `INFO:` after `setup` was successfully completed.
    * Show`INFO:` after `remove` was successfully completed.

commit 1f181df1709b63e113397c94ea29b425d01d1b7f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 08:52:06 2021 -0400

    run all checks before start
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/325

commit 1c6695de46a03a131d7169182031d7e4e7c4857a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 07:11:33 2021 -0400

    refactoring

commit 6d3f8ad51fb885c38ddb91422c2a20ed4ac9f674
Merge: a16338b b21e185
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 07:09:18 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit b21e1857a2eb9f0c42d3c4034545ae742342a45d
Merge: a16338b f176e5e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 31 07:08:16 2021 -0400

    Merge pull request #59 from madaidan/checks
    
    More robust checks

commit a16338bb58e1736cad9eec6a6ff3588b4900e039
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Tue Mar 23 07:48:04 2021 -0400

    bumped changelog version

commit f176e5e5a2b3e0f621424472e9991544d8cd5172
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 20 15:38:18 2021 +0000

    Indentation

commit 392aabdb4f6c293f076ecc2c08e69db3f7441a92
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 20 15:36:18 2021 +0000

    Use sal_is_run_with_root instead of extra id calls

commit 2e5de688bfa7d280882f7f86ff502934b9b0cf6f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 20 15:35:05 2021 +0000

    Reordering

commit 984d90dd15992e482c35bba701cc6fff770ab467
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 20 15:32:29 2021 +0000

    More robust checks

commit e011cab3ee3aef392eb6203c32da6a7e6bfff540
Merge: b1dab9e 3bf2daf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 20 09:05:34 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit 3bf2dafb4981b9484bd49783fdb5255cab91e66e
Merge: caf5d5b efd2885
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 20 09:03:30 2021 -0400

    Merge pull request #58 from madaidan/postinst
    
    Move some setup code into postinst script

commit caf5d5b39113eafd8c5144a61fc26788aafcb8d4
Merge: b1dab9e 27e327f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Sat Mar 20 08:41:40 2021 -0400

    Merge pull request #57 from madaidan/wx_whitelist
    
    Remove wx_whitelist

commit efd288515b061e41c22ef2d02d86b36377dd6e90
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 19 22:38:18 2021 +0000

    Move some setup code into postinst script

commit 27e327fd3a6c587fa921d5ccae286d0cadbc495d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 19 21:53:38 2021 +0000

    Remove wx_whitelist

commit b1dab9e33926029f82d9eeca2f5c20757d7d717c
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 12:41:16 2021 -0400

    bumped changelog version

commit d738472012b98cd90fe191038defead26202c346
Merge: bb8bc32 e2d747e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 12:41:01 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit e2d747e7d1afc4f91b4f66aeb568c321c4436795
Merge: bb8bc32 6c5357f
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 12:35:40 2021 -0400

    Merge pull request #56 from madaidan/wording
    
    Better wording

commit bb8bc32ed48b495db29377548c3ffae1e833098a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 10:40:23 2021 -0400

    improve invocation of grep
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/331

commit 6c5357f0053d708bd0f4335d1ac2e9f9fd677c2f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 19 14:38:22 2021 +0000

    Better wording

commit 1c389bb06e54baa6b1ac98842b8b128d96ad130e
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 08:49:33 2021 -0400

    bumped changelog version

commit c90af3eeea7eacf6689820a461549a617808a733
Merge: 444b515 6ced893
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 08:41:15 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit 6ced893da6826a004fcdc99d4057c48c061d1bec
Merge: faa6a67 11b47c1
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 08:28:46 2021 -0400

    Merge pull request #55 from madaidan/ioctls
    
    Permit FICLONE and SIOCGIWMODE ioctls

commit faa6a67ba5007080fc7d6e3123474e5dbaa97968
Merge: 444b515 56efb0d
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Fri Mar 19 08:28:09 2021 -0400

    Merge pull request #54 from madaidan/useradd
    
    Use useradd on non-Debian systems

commit 11b47c1dc6421a6d3450c1f4737146c051e76391
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 19 02:25:52 2021 +0000

    Include fs.h and wireless.h

commit 460c55c0ff8147a61d81f2c10ebed468e516c3ae
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 19 02:25:17 2021 +0000

    Permit FICLONE and SIOCGIWMODE ioctls

commit 56efb0d0adbf2a8da2cc1f93ed1afcea2ce9f955
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 18 23:26:09 2021 +0000

    Use useradd on non-Debian systems

commit 444b5156f1edd2b139183bc528d06988b8541bd7
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 09:07:57 2021 -0400

    bumped changelog version

commit 83782c91e14e0af8cf62084603f4ef9d6bef7a4a
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 08:57:21 2021 -0400

    copyright

commit 6c8488e2826816ab520bd4a5f1a22fc1cdd23e53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 07:45:55 2021 -0400

    bumped changelog version

commit 6048a6239520b05c8e6fcdbd0e16c3f632643eff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 06:03:47 2021 -0400

    fix, sandbox -> sal
    
    https://github.com/Whonix/sandbox-app-launcher/pull/53

commit b29f6afd54848a2b8f4bf426ee5956bd3e98eae0
Merge: 0f4dc7c b684f53
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 06:02:13 2021 -0400

    Merge remote-tracking branch 'github-whonix/master'

commit b684f533fd7bb2c928112c564e835b74cbc34e2c
Merge: 0f4dc7c 3e1632b
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Thu Mar 18 06:00:10 2021 -0400

    Merge pull request #52 from madaidan/uninstall
    
    Add option to remove app data

commit 3e1632b667bd429347f17ae4ce8d07dcd430c6a9
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 18 00:34:21 2021 +0000

    Unneeded whitespace

commit b7c63b52ffa0b57aa0b1f27b216043a1bc5db779
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 18 00:29:57 2021 +0000

    Add option to remove app data

commit 0f4dc7c8736c6cf5e8d1ce9c8d3551cdfeb73fcf
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:29:07 2021 -0400

    bumped changelog version

commit e4dfae9080e3ac0e10283b60d1c98c257c55b2ff
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 12:29:06 2021 -0400

    readme

commit 78ca9daeb6c4e4a45c17061fc937f1cdf954d9b0
Author: Patrick Schleizer <adrelanos@whonix.org>
Date:   Wed Mar 17 09:45:20 2021 -0400

    copyright

commit 97abc179674ef3b0c77aafd1bab79ac211a05c7d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Jan 14 02:35:12 2021 -0500

    bumped changelog version

commit 76e9f0e1d9de010736b1168ec8420e697249fee8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 12 02:34:06 2021 -0500

    create /etc/machine-id if not existing
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/311

commit ffd45c6efdb26b971a143b8845728ff3da060d82
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jan 12 02:29:13 2021 -0500

    fix permissions if messed up by something
    (such as Qubes home folder implementation or after restoration of backup)
    
    use sudo long instead of short parameters
    
    fix setup already done check:
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/310

commit 41047e02339da79139c694b584bef6c224962c07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 25 07:30:42 2020 -0500

    bumped changelog version

commit 4d787025ae522f7d1e3340bd351f9ed27d2f1f1a
Merge: 1553fc3 a6ee54c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 25 03:02:17 2020 -0500

    Merge remote-tracking branch 'github/master'

commit a6ee54c409f39234104399db4e733d44b43043c9
Merge: 1553fc3 1ed2ebb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Dec 25 07:55:21 2020 +0000

    Merge pull request #51 from madaidan/software_rendering_in_vms
    
    Add 20software_rendering_in_vms

commit 1ed2ebbb898757f36defdb87a5acdd7158d1050b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Dec 24 20:32:45 2020 +0000

    Add 20software_rendering_in_vms

commit 1553fc31bdab090420ee6782f28d4e29586a1a63
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 11:33:48 2020 -0500

    bumped changelog version

commit 44df6c2f9fde6372ea3e15a908662aea7b2fe1ac
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 04:19:03 2020 -0500

    quotes

commit 46419fccc0ed0d22199df4de22175e566aad9e44
Merge: c203fa8 243225e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 04:15:17 2020 -0500

    Merge remote-tracking branch 'github/master'

commit 243225e5497dd91452c3258472a584999d44a561
Merge: c203fa8 dce2819
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Dec 24 09:15:03 2020 +0000

    Merge pull request #50 from madaidan/fix
    
    Fix issue when creating directories

commit dce2819d46697954b71ea4781320113e9a967459
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Dec 23 22:29:43 2020 +0000

    Fix issue when creating directories

commit c203fa8d0e733ec6b4e4c6b3084354d0ad8d16e4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 15 13:14:17 2020 -0500

    bumped changelog version

commit cf6bee257bfd657788fe077716fa7cdf728ccd12
Merge: 9ea3492 c33e03e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 15 13:01:48 2020 -0500

    Merge remote-tracking branch 'github/master'

commit c33e03eb7039a58723cdfc32b4840d087984f518
Merge: 9ea3492 554750c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Nov 15 17:51:18 2020 +0000

    Merge pull request #49 from madaidan/cleanup
    
    Cleanup AppArmor profiles

commit 554750c3cf5cdb84c986af2e1446bcf4d487bea0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:37:40 2020 +0000

    Cleanup

commit bb37a49b02115cf598f2892546c28e2be0e5fbb3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Nov 14 20:32:48 2020 +0000

    Use tunables

commit 9ea3492cedf6523453d1787dcaffa93f770581c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 10:16:40 2020 -0500

    bumped changelog version

commit 0036c4aa28d2a8879fb411eebf7e1acc58942e44
Merge: 7dd634c 7dfa4a8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 10:16:34 2020 -0500

    Merge remote-tracking branch 'github/master'

commit 7dfa4a8b10fd70628554e9837928d93acbcb29e8
Merge: 7dd634c 27ce1c5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Nov 6 15:14:04 2020 +0000

    Merge pull request #48 from madaidan/var
    
    Remove unused variable from autogen-seccomp and set -e

commit 27ce1c5c41a072b52a74a7a86202cae9598148ae
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Nov 5 18:33:18 2020 +0000

    Remove unused variable and set -e

commit 7dd634c6c56b7404f9774ff6d71c672eaaa1b37c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 02:22:14 2020 -0500

    bumped changelog version

commit aea08bc22d3ba706ded33120deb95461ba035659
Merge: aa83b80 12a2177
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 02:22:04 2020 -0500

    Merge remote-tracking branch 'github/master'

commit 12a2177d2d34fc1ba3a88334922b8c5defa43572
Merge: aa83b80 92392a6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Nov 5 06:28:39 2020 +0000

    Merge pull request #47 from madaidan/username
    
    Shorten usernames

commit 92392a673e781a1839987b235f81c5799ffda892
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Nov 2 20:50:20 2020 +0000

    Shorten usernames

commit aa83b80addce1b06c0025caffd59f98fe96bf8ba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 2 02:53:57 2020 -0500

    bumped changelog version

commit 79d7971fca2217a5e555ed136bb72e3acbfbe180
Merge: 579aa47 b70901b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 2 02:53:44 2020 -0500

    Merge remote-tracking branch 'github/master'

commit b70901b6ecc959c9515f7343d37c44c7d87d6097
Merge: 579aa47 97939c6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Nov 2 07:52:20 2020 +0000

    Merge pull request #46 from madaidan/improvements
    
    Various improvements

commit 97939c6eb14d358581cb993b88f079fa4ede4ef7
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Nov 1 18:32:32 2020 +0000

    Set wrapper_script later

commit 1846ae51b6b86fe1eb0bb8cf23ac9fb5547de57a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Nov 1 00:57:09 2020 +0000

    Enable/disable W^X outside of setup

commit 5281c4370616dc49329c8612442ed39fcb152144
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Nov 1 00:19:33 2020 +0000

    Split setup and run_program into separate command line arguments

commit 2ba347bcb964960c634070b81d90200245ca5a6e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Oct 31 23:44:44 2020 +0000

    Fix typo

commit 3755ee4690f240fd339f56d9b6eb152e646bc6e1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Oct 31 23:44:04 2020 +0000

    Set wrapper_script at the top like everything else

commit b29fafb5aaa0ec9d5390eb63b4e8ce1f5da3774c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Oct 31 23:43:17 2020 +0000

    Use for loop

commit 579aa4722b14c82332a6603e903032cb75036143
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 10:26:16 2020 -0400

    bumped changelog version

commit e8291d6884c2bf4c022b01f0056ffdf0b639e629
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 10:06:26 2020 -0400

    fix, test -x vs test -e

commit 006d608ac9e163393350c9ed7a3d6db7c0485e5a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 10:01:21 2020 -0400

    fix, pass command line parameters to to `${wrapper_script} ${@}`

commit c09d5ca693924f4bd2a80a70b911ba8a67072707
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 09:28:48 2020 -0400

    debugging

commit 921e2d012c0b594fc8558d1b58c962d9dbf42b27
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 09:25:54 2020 -0400

    fix, do not run `chmod --recursive 700 "${app_homedir}"`
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/224

commit 5ea42f5aa4defe83702fbdebf7fa67db7ec82939
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 09:01:41 2020 -0400

    debugging

commit 5500a0e7ed8c8841ddc2b01c724e5b9af46fd369
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 08:52:07 2020 -0400

    bumped changelog version

commit 2cac091d672f1ca608e8f0779dde356bd008b1a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 08:51:36 2020 -0400

    fix wrapper_script variable

commit 25fec6182c27cf885d66679c606709d6615cfc51
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 08:31:23 2020 -0400

    hide output by dbus-launch

commit 4f737bf69c5ba29c6c56548f69f96ec00fb01c7b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 08:29:30 2020 -0400

    fix, set home dir with adduser

commit c2539228024a2f86572ff72fcf16dff7d99698b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 07:52:01 2020 -0400

    bumped changelog version

commit 581cb2f8bdc6e5781db8302f13e07d8bb95d6e42
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 07:44:03 2020 -0400

    start `torbrowser` (as installer) with `tb_installer_started_by_sandbox_app_launcher=true`

commit 89602f94b21cabaab9f546e1911035f8e2a0ad7a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 07:34:54 2020 -0400

    introduce environment variable `started_by_sandbox_app_launcher=true`
    
    so tb-starter (by Whonix developers) can act accordingly

commit 9b39503d7f4bb132abb4a82ac9c80102210e2b43
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 07:23:14 2020 -0400

    fix /etc/X11/Xsession.d processing

commit d05ed31337dbf3fbc75c327baca0d473be49e62a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:36:11 2020 -0400

    bumped changelog version

commit 1e1a493419239ef99989f0955b80e26255935c50
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:35:19 2020 -0400

    show error message if no program name is given

commit eec964414f6924f6262a45d7b8ee11d1464f87cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:28:44 2020 -0400

    bumped changelog version

commit 9441406458bb36230c2c57f1f4c00922a16d5cbf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:27:20 2020 -0400

    comment

commit bbcb91f0b0180062186282949d745ed3f0f25bcc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:25:20 2020 -0400

    port to use tb-starter's new tb_no_start=true environment variable
    
    for easier readability than tb_skip_functions

commit 489589bfd0463e0867c4f07b4c923244528f2804
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:20:19 2020 -0400

    remove remount_exec from tb_skip_functions since this was fixed in tb-starter

commit 816592bf792481cb80c807cd8e37dbbffc6ee7b6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:08:40 2020 -0400

    bumped changelog version

commit 47774f8a648aaba5792b7e223156f1a019f222c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 06:00:03 2020 -0400

    hide output by adduser

commit f7a70b40286842f981feb81f0cca4ad04d7ebd57
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 05:54:47 2020 -0400

    selectively parse /etc/X11/Xsession.d files
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/210

commit 36e3a4860498f00fc12158a5cb5c5662024ba281
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 05:38:17 2020 -0400

    debugging

commit 41bf8e806b9b0dc314d1421e4066bdb3271b94c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 05:36:43 2020 -0400

    re-generate wrapper script to make sure it's updated

commit f84b79d9a4e2e64bad310c479739166b63cd0879
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Oct 31 05:35:45 2020 -0400

    refactoring
    
    introduce variable wrapper_script

commit 1418e0d6fd141622a43bec5eb498ad415746efb8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Oct 30 09:56:54 2020 -0400

    bumped changelog version

commit 0408cb4f2c845be5293b720192fc4c290ffa92fc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 16:46:01 2020 -0400

    set correct HOME variable during Tor Browser installation

commit 0d0416cadaf379fd1827f3a03ddfe9f887b4564e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 15:59:45 2020 -0400

    bumped changelog version

commit e78bf74b26985d5e2d7dbf02c1ebff69aca70225
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 14:04:25 2020 -0400

    fix

commit 38fc2abea7589a2d2032b7631978eecb6f9bf5f2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 14:02:46 2020 -0400

    set owner of app_homedir to app_user
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/206

commit 7422542236cf913708e2c042826e6f26d3d06e21
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 29 13:39:34 2020 -0400

    port from useradd to adduser
    
    https://forums.whonix.org/t/system-wide-sandboxing-framework-sandbox-app-launcher/9008/205

commit 544987bf7ecee70cf8956c703e0abf8b0d41b71d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 13:41:32 2020 -0400

    bumped changelog version

commit 7ea61eb417e3581b9556afbf203cd9bca9e77c08
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 11:41:13 2020 -0400

    || true

commit 6591a039768fabcf0be7b04bfabebfa901686fe6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 11:40:04 2020 -0400

    grep -q

commit 4de49ecc70a6a7110191d291b294f50f682fb618
Merge: ac95d39 d4962df
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 11:39:11 2020 -0400

    Merge remote-tracking branch 'github/master'

commit d4962df33b9b2cb05afa57497aa784236d08ca93
Merge: 0cf4397 2fc0e15
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 15:37:50 2020 +0000

    Merge pull request #42 from madaidan/postrm
    
    Don't try to remove users if they don't exist

commit 0cf439713a6115935187acdde0f2c2d3653b9cd7
Merge: ac95d39 11f3ad3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 15:37:08 2020 +0000

    Merge pull request #45 from madaidan/bwrap_args
    
    Split bwrap_args into 2

commit 11f3ad3c4e3e56810a16136f34010b5893ccccd8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 8 15:30:04 2020 +0000

    Split bwrap_args into 2

commit ac95d393579005b5d64c83cd3b5779eee9dba3af
Merge: 39ab4dc 1ad819b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 11:22:48 2020 -0400

    Merge remote-tracking branch 'github/master'

commit 1ad819bebf741bb774ce75e83f4b7000c2671866
Merge: 39ab4dc 271b81f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Oct 8 15:21:17 2020 +0000

    Merge pull request #44 from madaidan/fixes
    
    Fixes

commit 271b81f8dbc696728bd452688746026e69382b9e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 8 13:15:34 2020 +0000

    Fix ptrace/signal

commit eed43d40b43deadb918223ad50a2bb3294332734
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Oct 8 12:09:56 2020 +0000

    Only mount Tor sockets when using Tor Browser and be less verbose

commit 39ab4dc14ac8a770072bdaf3292587df48a04f23
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 7 10:33:25 2020 -0400

    bumped changelog version

commit d20cd73686168f5251eb1386b2f59f60db66f34c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 7 10:33:00 2020 -0400

    write errors to stderr

commit 1f78c1311e93f11763e4edd90c09109fd6c3ef36
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 7 10:32:17 2020 -0400

    output

commit c8fde629cf82f4a01e523c07af1f53bac7180a2a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 7 10:31:49 2020 -0400

    fix nested if
    
    https://github.com/Whonix/sandbox-app-launcher/pull/43#discussion_r501059244

commit 605dd7e3b0c2c00865362aa3a1929d638b3e6b0e
Merge: 0cf16aa 47b1908
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 7 10:31:07 2020 -0400

    Merge remote-tracking branch 'github/master'

commit 47b19087cb051a2c90cd9c47bd5e97a9d1e50e7d
Merge: 0cf16aa 3ccec8a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Oct 7 14:30:16 2020 +0000

    Merge pull request #43 from madaidan/torbrowser
    
    Add Tor Browser support

commit 3ccec8a7e4013c2446906002a7d010dbf9926dbb
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Oct 7 13:55:34 2020 +0000

    Allow access to Tor sockets

commit 3a202e344ecbbbfa34562e6fdd1b7e019ef69efd
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Oct 7 13:51:04 2020 +0000

    Source environment variables if needed

commit 47eb742c950623c4789c07d4ba9f5cd0f5c5bc35
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Oct 7 13:49:49 2020 +0000

    Skip remount_exec and tb_start_tor_browser
    
    `$HOME` is set via `sudo -H` so it doesn't need to be manually altered

commit 3e7086e990ddca5c0a8f7c21d5a1146259220b91
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Oct 6 20:54:30 2020 +0000

    Exempt Tor Browser from $PATH check

commit cbca7516b46ee9c57133fdcbfa1464d1783012ee
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Oct 6 20:49:07 2020 +0000

    Create torbrowser.conf

commit 1bb9da236210ab22c385d3968acf91bbef7bbcde
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Oct 6 20:48:30 2020 +0000

    Tor Browser support

commit 2fc0e15c2896fffda7444faed25cb336c500748c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Oct 6 20:16:39 2020 +0000

    Don't try to remove users if they don't exist

commit 0cf16aafbab401381e43e12c77838f6d30d90048
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 5 07:02:51 2020 -0400

    bumped changelog version

commit a9aa4065b79f0544749fd36d5bb060553cc9fe59
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 5 07:02:50 2020 -0400

    readme

commit d43d8fc2e40ea910d5497e1db4d5a9613d2e1f60
Merge: 376e06f fa4a519
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 5 06:13:20 2020 -0400

    Merge remote-tracking branch 'github/master'

commit fa4a5194d3639772987146a6bddd4e315c6e663d
Merge: 376e06f b94dd05
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Oct 5 09:45:51 2020 +0000

    Merge pull request #41 from madaidan/app_path
    
    Support overwriting app_path

commit b94dd056e353a7d656a7456d581f41d18151e816
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Oct 4 18:21:20 2020 +0000

    Sanitize app_path

commit 095db0d75573ced41ecad82a9f279ed16433c644
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Oct 4 18:17:10 2020 +0000

    Support overwriting app_path

commit 376e06fed258a84217a2123a6d3812719e9243e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 11:46:29 2020 -0400

    bumped changelog version

commit c7565cd98722c3d275ccf0fef6d164858cd13f70
Merge: 3ed8648 1e692da
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 07:34:54 2020 -0400

    Merge remote-tracking branch 'github/master'

commit 1e692dab76241c2fc25f2f767273844d5acfcc9a
Merge: 00887fd 6993d9f
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Sep 27 11:32:57 2020 +0000

    Merge pull request #40 from madaidan/unneeded
    
    Remove uneeded /

commit 6993d9f89b1923e7aacb2290b1bd6c1febfec9d4
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Sep 4 21:20:30 2020 +0000

    Remove uneeded /

commit 00887fd9c57ba7b323ae1daccb899c0d0e971fa1
Merge: bb8544f 0fe462b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 23 14:36:41 2020 +0000

    Merge pull request #39 from madaidan/fstack-protector-all
    
    Use -fstack-protector-all

commit bb8544f5b48c0c5d311d91041d0cf3d3ea579026
Merge: 3ed8648 5141af0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 23 14:36:24 2020 +0000

    Merge pull request #38 from madaidan/include
    
    Don't create seccomp-whitelist-wx in the script

commit 0fe462bb52c23dcbb69102d5735b896cd231a823
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Jun 21 23:47:21 2020 +0000

    Use -fstack-protector-all

commit 5141af032e65b4813c3e5121b6d76cdcf0c66d3a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Jun 18 18:57:18 2020 +0000

    Create seccomp-whitelist-wx

commit 144c20103d00dc21edfb21f96bacd74371e9204d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Jun 18 18:49:23 2020 +0000

    Support include statements

commit 3ed8648c9e19aa9a2c9b8b815938d73bf96c4c22
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 16 09:33:21 2020 -0400

    bumped changelog version

commit dd555375772495bb55e104ba9528219ef59d6451
Merge: 67dcc94 92a59b0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 16 09:31:11 2020 -0400

    Merge remote-tracking branch 'github/master'

commit 92a59b0b688e2684468c366e0b3d0e80b269bc49
Merge: 67dcc94 01d5088
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Tue Jun 16 12:01:20 2020 +0000

    Merge pull request #37 from madaidan/rm
    
    Delete users and autogenerated files on package removal

commit 01d5088cacf1ca0e079fbedb577612beb2f07870
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Jun 15 20:21:05 2020 +0000

    Replace sed

commit 2b0a61238652577bcee86cf6b36f724f3ead77de
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Jun 14 20:45:55 2020 +0000

    Delete users and autogenerated files on package removal

commit 67dcc940c80a77f41c703b9c8164329de7e06cf0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 10:01:32 2020 -0400

    bumped changelog version

commit 7368e588dee403b6882296e393f29b7622c7e516
Merge: 98e32f7 c0cb14e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 10:00:13 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 98e32f7a69abffd17ea39588f788b9f61f7bd356
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 09:55:59 2020 -0400

    bumped changelog version

commit a71985c99b63794b69f66d21a4018de71e0e0370
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Jun 3 09:55:58 2020 -0400

    readme

commit c0cb14e5559ce2da8ef7fa774fde764e31c054c3
Merge: 77ff1c4 14bc604
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun May 31 12:08:58 2020 +0000

    Merge pull request #36 from madaidan/autogen-seccomp
    
    Improve autogen-seccomp

commit 14bc6049f4a7e3ebb8877f7debb4432541808b70
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun May 31 00:04:49 2020 +0000

    Improve autogen-seccomp

commit bd030e39bdc9d53f73d42acdb666bcbc2449735f
Merge: 2b46561 77ff1c4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 30 16:20:03 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 77ff1c454292fe10c06e8f1f22dcf52e08647b4b
Merge: e2c8ba0 589d5cc
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 30 20:17:57 2020 +0000

    Merge pull request #35 from madaidan/desc
    
    Fix description

commit e2c8ba08e7d98d24d20663b7bbae9a32733b531e
Merge: 1bf888b d9da64a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 30 20:17:40 2020 +0000

    Merge pull request #34 from madaidan/seccomp
    
    Auto-generate seccomp filter

commit 1bf888b3ac942c2e5045b2bed498c8a87c5a7c83
Merge: 2b46561 d6b76fd
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat May 30 20:13:34 2020 +0000

    Merge pull request #33 from madaidan/filesystem-wx
    
    Extend W^X permission to the filesystem

commit d9da64a575dde846b80917150b548347182befd5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat May 30 18:45:41 2020 +0000

    Auto-generate seccomp filter

commit 589d5ccd3496483255c43985db0bbe4d15f21d58
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat May 30 18:40:07 2020 +0000

    Fix description

commit d6b76fd792fa1369f26406b3219798b86bd42ea8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat May 30 01:38:50 2020 +0000

    Extend W^X permission to the filesystem

commit 2b46561dad95c1f14523db2d50ef712437c1c6f8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 07:41:26 2020 -0400

    bumped changelog version

commit b40d3dc00e8a00cbcda64c4be7185f798c2fe440
Merge: 10df33b effeb71
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 07:41:00 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit effeb7186e19f427caf8c23e7dafca9ed770fdbb
Merge: 4d21c94 6fb9b09
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 11:39:20 2020 +0000

    Merge pull request #32 from madaidan/configs
    
    Add W^X configs

commit 4d21c94ca24cac55c3582d790517490c47964d36
Merge: 10df33b c1ab8e5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri May 29 11:38:47 2020 +0000

    Merge pull request #31 from madaidan/fixes
    
    Some fixes

commit 6fb9b09a240ab8cf6a43605e44be8f875d048526
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu May 28 23:46:23 2020 +0000

    Create chromium.conf

commit 1f42e9b7bc2944d871f9c756d0a4170c5a6fba1b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu May 28 23:35:44 2020 +0000

    Add W^X configs

commit 10df33b6e86b3e745748c0fd3ba6d78ad5a056d8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 28 09:47:04 2020 -0400

    bumped changelog version

commit f7ebe35440679dea17f4608f83c8b09b239a7460
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 28 09:47:03 2020 -0400

    readme

commit a538be879c62b6d49ca8180eb8dd1af401bc256c
Merge: 738c855 39fd059
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 28 08:37:32 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 39fd0599cbcdde7d88162b82fcbb9e37889b1493
Merge: b44d78f 00b12a3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 28 12:29:43 2020 +0000

    Merge pull request #30 from madaidan/further_sandboxing
    
    Let apps setup further sandboxing beyond sandbox-app-launcher

commit b44d78f27276b9d6d12d7c56794840637915868c
Merge: 738c855 a11b6e7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu May 28 12:29:33 2020 +0000

    Merge pull request #29 from madaidan/dynamic_native_code_exec
    
    Make W^X a normal permission

commit c1ab8e52c1a79c56f6436b545eea1c8a9cd72462
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu May 28 02:46:54 2020 +0000

    Some fixes

commit 00b12a33a6cc072447e31df945616bc98cc5d9f8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu May 28 02:14:29 2020 +0000

    Allow chroot

commit a882b7de4c5c9a7d472d98e00d8bf56ab800863d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu May 28 02:14:02 2020 +0000

    Allow capabilities needed for the app's own sandboxing

commit a11b6e7550fc8fcb1db54f740381eadf26dc790e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu May 28 01:50:43 2020 +0000

    Update control

commit 09df002cd5f4ad16b701b2c4b4ac914e9516084e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu May 28 01:48:55 2020 +0000

    Delete wx_whitelist

commit 8ee5d5b43eaa785fb48547d07eade48196aaaeab
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu May 28 01:47:13 2020 +0000

    Make W^X a normal permission

commit 738c855ea1acab995b298af340a4f3fb19f2a692
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 16 08:41:58 2020 -0400

    bumped changelog version

commit f441997c5dd89de523fc9859f144e6cfdc5eb54c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 15 14:05:36 2020 -0400

    readme

commit 56ab21b377eea67fc9d94aeb9a2a273497456513
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 13:20:50 2020 +0000

    bumped changelog version

commit b05cd425d84160dfac04c4516d581633913f8cd7
Merge: d600297 0600ebf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Wed Apr 8 13:16:36 2020 +0000

    Merge remote-tracking branch 'origin/master'

commit 0600ebf2bf7e9861fa070a17554b52d6fdcf65e9
Merge: d600297 cfa4822
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 19:49:24 2020 +0000

    Merge pull request #28 from madaidan/dbus
    
    Start a D-Bus session bus inside the sandbox

commit cfa48224a92b5b28ca6ca4857a4867611996d4af
Merge: 7715f66 d600297
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 19:49:15 2020 +0000

    Merge branch 'master' into dbus

commit 7715f66b37f919f2729262fa699343697d256a24
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 18:39:52 2020 +0000

    Quotes and fix merge conflict

commit 24400f585908545ebe7474349d3a6c1c3fe0c16a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 18:17:54 2020 +0000

    Fix parameters

commit 4fd758acc7a99dfa53a826aca71b2496af3d7fbd
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 18:13:35 2020 +0000

    killall -9

commit 803a15ae8209af522ba3540def53e02001cb1b0d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 18:11:47 2020 +0000

    Change symlink_dir to wrapper_dir

commit b2502e11ae2edd766a30d3b66c92258193d7d08b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 18:10:32 2020 +0000

    Change symlinks to wrappers that run dbus-launch

commit 2c78191fad168ffdb94fa5445a1c0da226648245
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 17:38:05 2020 +0000

    Depend on dbus-x11

commit e357fc19e4488a85856ebb19e507f1403d894213
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 17:37:48 2020 +0000

    Start a D-Bus session bus

commit d6002976e161fceb1660b3659a25322b45b97e54
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 13:32:26 2020 -0400

    bumped changelog version

commit 9187c1737326c59b763f2189767bf4344aeb550e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 13:30:04 2020 -0400

    lintian

commit c175c24153146ad43791f83f979a7ce67debd078
Merge: 4948d69 bd8713c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 13:28:10 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 4948d693bef8cd8e553f60895b909fc33df9b3f6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 13:24:27 2020 -0400

    bumped changelog version

commit bd8713ca637d3727de1c71d424343c48cc749f70
Merge: 77451d2 cd70c78
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 17:24:11 2020 +0000

    Merge pull request #27 from madaidan/shared
    
    Allow access to shared storage symlink

commit 77451d2a371c7598ae64799c188b21182cf0dcc7
Merge: b10b94a 853a6e9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 17:23:47 2020 +0000

    Merge pull request #26 from madaidan/run
    
    Symlink /run to /var/run

commit cd70c782fd97be0df24186b1728a29aae963b0b0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 17:02:45 2020 +0000

    Allow access to shared storage symlink

commit 1cb84ae4b9f247b3ec9258bdced8eac369d78b7e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 17:01:48 2020 +0000

    Allow access to shared storage symlink

commit 853a6e9ad2b0d6cba4ff1157c7b603a61fa894f9
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 16:39:53 2020 +0000

    Symlink /run to /var/run

commit b10b94a46d3791de155a3d7076876aea162c0f7b
Merge: d58737d 3a9ac86
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 10:51:11 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 3a9ac86528bc4be8b871447e2a7f8501fc560d92
Merge: aa8acfb a9ed89b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 14:50:34 2020 +0000

    Merge pull request #25 from madaidan/sanitize
    
    Sanitize app_name before anything else and fix app_path

commit aa8acfbbaacadb59f4f8ff8dbff836ea626e2090
Merge: 3a60db0 e2e31c3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 14:49:36 2020 +0000

    Merge pull request #23 from madaidan/log
    
    Don't allow access to logs

commit a9ed89b2b7008a2217e99f83f4ec8e615403059a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 14:42:26 2020 +0000

    Fix app_path

commit 01ae7fa8a9474a4e7baf279d864136f8b342e011
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 14:38:17 2020 +0000

    Sanitize app_name before anything else

commit 3a60db01de7a42c390b6903ba163e7e25e454399
Merge: 4996ebf 6c8ea87
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 14:27:45 2020 +0000

    Merge pull request #24 from madaidan/shared-storage
    
    Move shared storage

commit 6c8ea87c7d84e6456d2c7d44cb9549ae6e4b7815
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 14:25:25 2020 +0000

    Symlink shared storage to /shared

commit 700019fd2226daa7439071f0aca5b440bdf33013
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 14:24:40 2020 +0000

    Move shared storage

commit 9ea0a86692bbdfbc76da6e7f33723e4ebe8a205b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 14:24:01 2020 +0000

    Move shared storage

commit e2e31c3f33c0f7dc1554cb923bb9ad4bb17fe6fc
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 14:19:08 2020 +0000

    Don't allow access to logs

commit e125e5c3528a4c072db624c6d3b293a66f4c8ccf
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 14:18:52 2020 +0000

    Don't allow access to logs

commit d58737d363d370d92758bc573c4646d6e04d48c0
Merge: 7662bdd 4996ebf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 03:49:26 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 4996ebf28effa3d4fe3dbf3104b4fbdfa0bce361
Merge: 286310c 42cf82b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 07:46:00 2020 +0000

    Merge pull request #22 from madaidan/tests
    
    Add some tests

commit 286310c8d92b3a383e7e080044a8fd4180fae863
Merge: 0e92fe5 79c283a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 07:36:29 2020 +0000

    Merge pull request #21 from madaidan/wx-fix
    
    Fix W^X

commit 0e92fe5d8234be0ceb5ced7230191d115cf357e2
Merge: 7662bdd d72c82c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Mon Apr 6 07:36:11 2020 +0000

    Merge pull request #20 from madaidan/try
    
    Don't fail if some directories don't exist

commit 42cf82b50d9a98a6e1bdf5480fc22dad1425a9bc
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Mon Apr 6 00:55:42 2020 +0000

    Add some tests

commit 79c283a748abeb778206c5a2887cd3fd7326b4e5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Apr 5 22:38:41 2020 +0000

    Fix W^X

commit d72c82cecbd151e2bfe640484cdfc93a3d498ceb
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Apr 5 21:04:57 2020 +0000

    Don't fail if some directories don't exist

commit 7662bdd3044b8df7f1ae35e3c57a63cf31f51213
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 15:06:19 2020 -0400

    bumped changelog version

commit bfd79fe9bb9cd74d3b3f1260550fd095b065ac9f
Merge: e11c2e4 6b0b3c1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 14:50:48 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 6b0b3c1112da7a9135760a40f79c6c1521f3cd1e
Merge: e11c2e4 e49fa46
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 17:51:12 2020 +0000

    Merge pull request #19 from madaidan/improvements
    
    Improvements

commit e11c2e493fb5761b00f693f08a24163eea23b2a2
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 13:28:18 2020 -0400

    bumped changelog version

commit e49fa465b8553fc63b48803428cabf8940d81620
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Apr 5 17:24:35 2020 +0000

    Check for root

commit ccece85887ef3950db592f20ea47eb9e74056bd0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Apr 5 17:21:22 2020 +0000

    Quote variables

commit efcbe0c0795596eaef8f76120f71c36173d7bf67
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Apr 5 17:20:34 2020 +0000

    shift 1

commit 784780bf16593a1944778540794d2b67bdd76081
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Apr 5 17:19:37 2020 +0000

    Pass parameters

commit b0a99dbf68823e7a1cac191b63722e97a1dfaa20
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Apr 5 17:11:32 2020 +0000

    Add error_handler

commit b8e35b441182ed27c1b4f0875e340d14a217e930
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Apr 5 15:49:07 2020 +0000

    Check for an executable

commit 8cbbe9eb55fbf6efb719bf11831b2669efb84ce0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Apr 5 15:47:34 2020 +0000

    Sanitize app_name before sourcing config file

commit 0019c75d44074ed2f6eceb76b724c8da18823975
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Apr 5 15:37:24 2020 +0000

    set -e

commit ac376e07af85ce4c658865ba15399f62ae16bad7
Merge: 6821752 26e2899
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 06:12:41 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 26e289990421bcac6294af00661caff4de172f17
Merge: 1c4af43 8f102f9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 10:11:37 2020 +0000

    Merge pull request #18 from madaidan/var
    
    Unset bwrap_args and sanitize app_name

commit 1c4af43765e712541fa7dd16cfbc65012395ddd0
Merge: 6821752 e775f4c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sun Apr 5 10:11:23 2020 +0000

    Merge pull request #17 from madaidan/separate
    
    Separate app data and autogenerated files

commit 8f102f9554715f7cc3b2d301bd0a5bc7dfd95f94
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Apr 4 23:31:01 2020 +0000

    Unset bwrap_args and sanitize app_name

commit e775f4ccfd01eab1a4ccefd565c180cb0c54bfad
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Apr 4 22:54:30 2020 +0000

    Fix file path

commit e3a3fe41a3a332d45c5267199f72aaa7d1572b2f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Apr 4 22:53:04 2020 +0000

    Fix file path

commit f046c88e3a8e9361cce4f61c99328d2d95a706f0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Apr 4 22:52:47 2020 +0000

    Separate app data and autogenerated files

commit 68217528ee1c799de92f968f5f3fcd8b465b7643
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 16:41:29 2020 -0400

    bumped changelog version

commit 34acd58341a9abec840dced5a60d77913414c8fb
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 16:39:27 2020 -0400

    readme

commit 2b504da350adaec0bb11af58e71775ae548317bb
Merge: 07e2137 3a82a14
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 13:44:12 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 3a82a1443a08d4f101d6f1468d3fa142b55b7eb0
Merge: 07e2137 feb10ea
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 16:56:03 2020 +0000

    Merge pull request #15 from madaidan/webcam-mic
    
    Add webcam and mic permissions

commit feb10ea4f9ca83becdd992253e3e842765402872
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Apr 4 16:36:45 2020 +0000

    Add webcam and mic permissions

commit 07e213787a792ccf4f2528c3a15997040f1edb17
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 06:36:40 2020 -0400

    bumped changelog version

commit cd504b43f657a9c8bd3d4be70a97addfb18789f9
Merge: 1c78a8e af0a9e3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 05:32:28 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit af0a9e3a2745a7f9d840490795ac1bf0b01357b5
Merge: 447634a 611387b
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 09:31:03 2020 +0000

    Merge pull request #14 from madaidan/config
    
    Add some default app configs

commit 447634a388f46f8c99e6fcef7b4642fe57c02d26
Merge: 5196cdf 213f8ca
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 09:29:59 2020 +0000

    Merge pull request #13 from madaidan/shared
    
    Add shared storage

commit 5196cdfe37b219947096777616fc7b7a80c326e8
Merge: 96c2c37 945bb07
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 09:29:27 2020 +0000

    Merge pull request #12 from madaidan/path-check
    
    Get rid of create_symlinks()

commit 96c2c370e7df9eb5f850ea26e332646858a4f7c0
Merge: 1c78a8e 9381f8d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Sat Apr 4 09:28:43 2020 +0000

    Merge pull request #11 from madaidan/kernel
    
    Prevent some kernel infoleaks

commit 611387b0d6643b84595e9342585bc49f096ec525
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Apr 4 00:10:52 2020 +0000

    Add some default app configs

commit 213f8ca8c091fc64b65c28700112c53fc61b8bc8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Apr 3 22:16:43 2020 +0000

    Set the sticky bit

commit e7b781a8ed02979cd9038d0c94a17577afe1954e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Apr 3 22:05:50 2020 +0000

    Allow access to shared storage

commit 8a0ae778425674eccf4b11d62d5305eb95134675
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Apr 3 22:04:28 2020 +0000

    Add shared storage

commit 945bb071d1746731cb2544e824ea3d6295582c4f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Apr 3 21:29:56 2020 +0000

    Get rid of create_symlinks

commit 9381f8dab6039b9dcc22118e63f12301c88d0e09
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Apr 3 21:25:14 2020 +0000

    Prevent some kernel infoleaks

commit 1c78a8e21c1360c40cb32dadcbcc298afa0ec3c7
Merge: 14e98f2 16c2ea7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 14:02:21 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 16c2ea7f8e9433ecc8f8d578046bb7e3c2920f23
Merge: e417cd9 4dd6cc3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 18:01:48 2020 +0000

    Merge pull request #9 from madaidan/aafixes
    
    Apparmor fixes

commit e417cd97f0c3a41be7d2c1d8dcbdacce7a01bd20
Merge: a531d55 9883ad6
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 18:01:32 2020 +0000

    Merge pull request #8 from madaidan/x11
    
    Mount X11 socket

commit a531d55e842c8d5f05a33647aea2a32397dee8cf
Merge: 14e98f2 2371baf
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 18:01:25 2020 +0000

    Merge pull request #10 from madaidan/dbus
    
    Only allow communicating with the D-Bus session bus

commit 2371baf0fd53c17f256e7b4b874a86185f68f4d2
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Apr 3 17:48:17 2020 +0000

    Only allow communicating with the D-Bus session bus

commit 4dd6cc32af963826372f8636113ba1575951bced
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Apr 3 17:31:01 2020 +0000

    Apparmor fixes

commit 9883ad6f8e0f4624c764995183580eb0e4a280fd
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Apr 3 13:57:17 2020 +0000

    Mount X11 socket

commit 14e98f2c92852d053388751b573b35594a53cff4
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 05:10:04 2020 -0400

    bumped changelog version

commit db1b7d803c710f2367e7c23c8e89c1d25b4849f1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Apr 3 05:02:12 2020 -0400

    remove Makefile since no longer used

commit 4cc7af786ee43154bd15e8a0f9cb40299c6e814d
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:23:14 2020 -0400

    bumped changelog version

commit afa245e619fd6f3d17e172c26f7d3439de9f73d4
Merge: fb87aee 06f12f3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 18:17:52 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 06f12f397e2b67a5818547b87cc34731cff79d1d
Merge: c6ec781 738a350
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 22:17:23 2020 +0000

    Merge pull request #7 from madaidan/seccomp-path
    
    Fix seccomp filter file path

commit c6ec781f25618f1d2258831d38a422e1d391b995
Merge: fb87aee 4848a56
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 22:17:11 2020 +0000

    Merge pull request #6 from madaidan/local
    
    Include apparmor local file

commit 738a35060f98479e567032aaebfbd5038bfe6b04
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Apr 2 22:06:42 2020 +0000

    Fix seccomp filter file path

commit 4848a561150e8c16cd24c509c74a2f858ff7a78c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Apr 2 22:00:10 2020 +0000

    Include apparmor local file

commit fb87aeefe20030f200d61cbe69502228c570cdb3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 16:17:45 2020 -0400

    bumped changelog version

commit 7b649c56706b533c3bfbee280671dc93660d87ef
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 16:12:31 2020 -0400

    remove trailing spaces

commit 48d20a0b2ec78b57f6175b61a77feae88daaec1e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 16:10:21 2020 -0400

    apparmor packaging

commit c23cf18275576b507b01570327a2b90e70e39c9e
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 16:08:51 2020 -0400

    update path

commit 6510f23db536beb2673f1d958ae4789b93a81246
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 16:07:45 2020 -0400

    "make manpages" no longer required

commit 2192043102d10052ad1185854092292093642013
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 16:05:51 2020 -0400

    genmkfile / ronn are no longer build dependencies

commit 54ba0fb61772602dee5b34e681632dc4b96ea3f0
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:34:57 2020 -0400

    bumped changelog version

commit 501774873175717ea586db6aa6a6e808b2b88cc3
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:32:05 2020 -0400

    readme

commit c53606b6b5c0cf98608872f1ffc0a2cacfd31d48
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:19:48 2020 -0400

    lintian

commit 99636330d7bc2f74a1c0334b4efc6bcbfa4eabe8
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:17:51 2020 -0400

    created auto-generated-man-pages/sandbox-app-launcher.8
    
    using "genmkfile manpages"

commit 0d977126c883dd84954d93cc7d96fea41baf65f7
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:17:26 2020 -0400

    add skeleton man page

commit 235276eb43172846ffe26af6f6709cedf3691c19
Merge: 7a59925 7b5bc58
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 12:15:18 2020 -0400

    Merge remote-tracking branch 'madaidan/move'

commit 7b5bc5845b5457dbe0480589b511d1b6982c02e7
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Apr 2 13:59:22 2020 +0000

    Move script

commit 7a599255662dd6e42b18d4d55e3e2381df6f9fb5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 06:27:04 2020 -0400

    copyright

commit 8899c064e087a4e5a9bed16368cd629f909575c9
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 06:24:52 2020 -0400

    add changelog for packaging

commit 0106d2bd3f6508c34439b8d8d1f74dba8e70d162
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 06:23:56 2020 -0400

    depend on helper-scripts for str_replace

commit 8778566abe9cd976dbfcee94f9826b8083f20390
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 06:23:20 2020 -0400

    packaging

commit d2920c8d28518554881b110ace383d5c84401bfe
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 06:21:02 2020 -0400

    copyright

commit 129d45d5b6f54b6d76f5d633f2586254abd6b794
Merge: f26eb53 2103eec
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 06:19:56 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 2103eec9b6cd0fbee3fefc580a090f20a82527b6
Merge: 0da31b9 ee27c79
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 10:18:21 2020 +0000

    Merge pull request #5 from madaidan/wx
    
    Fix W^X violations

commit 0da31b915e3d7eafeba32a67dae157e7ecfdb71d
Merge: f26eb53 55ccde1
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Thu Apr 2 10:17:44 2020 +0000

    Merge pull request #4 from madaidan/fixes
    
    Fixes

commit ee27c79ff3b3e959e1a272638a1da869c081456b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 17:01:55 2020 +0000

    Fix W^X violations

commit 55ccde193870eef770bd04a146c3756f44b8c567
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 15:18:16 2020 +0000

    Allow newfstatat

commit d742048bc511d0cca8c7123f91e080dfbfcdadaf
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 15:17:26 2020 +0000

    Hide stdout

commit adc08af25725e3a189768bd63aaf09c0ee6726cc
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 15:08:12 2020 +0000

    Don't create machine-id in script

commit 5908d773b3a0446d734865dc5de3385f4affc924
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 15:07:50 2020 +0000

    Create machine-id

commit 912ea18395fdc62f0d2cfb4a17a3bb7fcfc53813
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 15:06:06 2020 +0000

    type, not true

commit 1ec1162e752a36a18cc6d6f00ab80a696cb0874b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 14:59:45 2020 +0000

    Don't expand $PATH

commit fb409e3c0914e18eed1f18686a022bb44eeb4739
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 14:58:39 2020 +0000

    Switch to str_replace

commit 93d4bd49172e81f5393dcf30e06e13840713f2c3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 14:54:53 2020 +0000

    Remove whitespace

commit b6c7a2b0fc6d07c74ee49081014ac81144c60722
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 14:54:13 2020 +0000

    Depend on libseccomp-dev

commit f133ef784503871d7336661437dd1a7934628a7e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Apr 1 14:53:09 2020 +0000

    Don't quote $compiler_flags

commit f26eb53a4650abce48c90a3c7dffcce073135b5c
Merge: 9d73cc2 6762de5
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 15:23:56 2020 -0400

    Merge remote-tracking branch 'origin/master'

commit 6762de5dea19dead0653b4274c76c073ad513d89
Merge: 9d73cc2 70dcdba
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 19:20:32 2020 +0000

    Merge pull request #3 from madaidan/improvements
    
    Minor improvements

commit 70dcdbacaa1d14a4b1bebd01df36eb26ca4d8a8d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 27 18:25:44 2020 +0000

    Rename to sandbox-app-launcher

commit d451f1c8ef6191e044d04f260376d6189a0daf18
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 27 18:19:28 2020 +0000

    Usual files

commit 4461ccdf40c2a656f51b789b904b23dfd4997503
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 27 18:08:50 2020 +0000

    Minor improvements

commit 9d73cc2342e722ffa3e05d583483d48a9ee11ac2
Merge: 006094b 6847e8c
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 06:27:41 2020 +0000

    Merge pull request #2 from madaidan/whitelist
    
    Switch to a seccomp whitelist

commit 006094bf02f853af143764f47c66c896031bb8c9
Merge: f5a7989 0f03f4a
Author: Patrick Schleizer <adrelanos@riseup.net>
Date:   Fri Mar 27 06:22:19 2020 +0000

    Merge pull request #1 from madaidan/config
    
    Get rid of the need for a config file

commit 6847e8cc591c24b0e8dc90b5d65eb8bacd65d7c3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 26 20:07:52 2020 +0000

    Remove TODO

commit ab5580244222b925adce32b6f22e446632ddec5d
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 26 20:02:15 2020 +0000

    Switch to a seccomp whitelist

commit 0f03f4a57f6ea1b636913c1e2d26371a74f8d2df
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 26 16:01:51 2020 +0000

    Delete config

commit 23d5ef49a3d2eb6afccc95155df993d2f4299976
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 26 16:01:32 2020 +0000

    Get rid of the need for a config file

commit f5a7989df5baf06e18126f9d5fc2de838ad1e8d3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 19 22:34:14 2020 +0000

    Fix

commit 1fc832e4f6973cdbeca853d44acefd95083654e6
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 19 22:26:52 2020 +0000

    Whitespace

commit 7e3e3f99678eeba457ae25d5d5174fbd686c89c8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 19 22:21:50 2020 +0000

    Minor reordering

commit 22dd87b187503c8c559544d22f99ffff630e299e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 19 22:17:24 2020 +0000

    Remount ${main_app_dir} as read-only

commit a06d905ac63c56af752433092147c188ed19bd42
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 19 17:54:21 2020 +0000

    Optionally remove network access

commit 507ba3f1b51997caa061fd3ca660d1055d6a3021
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 20:51:51 2020 +0000

    Use proc variables

commit dfd682b8c7865cf19fc920260625ca3d90dc79a4
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 20:37:45 2020 +0000

    Use more owner rules where possible

commit bc0b0d4ad2ce0c87d476e8b71949dbd4f5cf6d69
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 20:33:09 2020 +0000

    Add root to passwd/group

commit 1f4656e1da29ec520827e6c2f6cb14a614e52ab9
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 20:13:53 2020 +0000

    More unneeded commas

commit b3c454429b9eb8648a9c24d3c5859986866e5055
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 20:02:39 2020 +0000

    /proc/*/task/ needs to be readable

commit 0fcd6a03924791c9146a7c27843e32aa1e20c09a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 19:59:28 2020 +0000

    Increase rlimit restrictions

commit f1d2f8b125b0505a758f404712e1061065a141c4
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 19:53:51 2020 +0000

    This shouldn't be restricted to owner

commit 628a8bc8fcb508d44460924fc92368b3d17341c8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 19:46:29 2020 +0000

    Add TODO

commit fed7eea6b42acbb9e9fd61fec3b1ebb46e90b597
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 19:45:49 2020 +0000

    Set reasonable rlimit restrictions

commit 9504e96d1d3441f5eee5d38def3c6d02a3532673
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 17:57:38 2020 +0000

    Unneeded comma

commit f53b0a86d9a41796cc926a6b314b1e3151b5096a
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 17:44:52 2020 +0000

    Re-arrange compiler flags

commit 4440f431b187069837a82dc46c0848db5c3bd0af
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 17:40:31 2020 +0000

    Remove $PATH modification

commit 1ae4b9a63c5a681fdc150487d5f10cbad359d31e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 17:40:08 2020 +0000

    Create TODO

commit bc1fc705e5d443336ea78a73ba377519b0b10864
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 17:38:51 2020 +0000

    Add TODO

commit e321ef2788cc4d1ee66cd6e356d111461d42a822
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 17:34:16 2020 +0000

    Unneeded comma

commit bc6092e59099c1c97d091487e1ae647e8df0bd53
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 17:30:40 2020 +0000

    Remove unneeded devices
    
    These aren't created by bubblewrap anyhow

commit f2c9844354bc112838ceefecda05d339676c3d7b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 17:22:32 2020 +0000

    /srv isn't used

commit c2e232dca90950717fdcf5d27f3a6dd8ae957d00
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 17:21:05 2020 +0000

    Apps shouldn't need access to /proc/*/net/ and fix commas

commit bf2cffbc3a845dc4124101d2414411d3c702f12c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 16:52:00 2020 +0000

    Clean up /proc permissions

commit 6e4b34de35bca82fdce1d94f5d69781af3d4ac97
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 16:45:15 2020 +0000

    Fix evince

commit 7ca639f24c10dc5e1aacbcb89b32821bc5276ae2
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 16:44:54 2020 +0000

    Add evince

commit 1076cdd7528f7a865f828619d37a0aee7454ab93
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sun Mar 15 16:35:21 2020 +0000

    Allow unconfined processes (such as systemd) to kill us

commit 9ad16a52d3f3a798f78fdb458c3b21d5e413ad08
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 22:14:24 2020 +0000

    Silence noise

commit 72682a7f4cfb906678ebfa187cb661b0071df390
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 22:12:01 2020 +0000

    Add firefox

commit 9f08fc7b4690abc7126d96f7a3b0c76303ca79f4
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 22:11:52 2020 +0000

    Add firefox

commit 414c684d00a9e66ed4005346147f95845126b898
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 22:10:57 2020 +0000

    Minor

commit b39184a01c8eadb2ea847b03eb1fe85a6e632ff3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 22:01:40 2020 +0000

    Add thunderbird to wx_whitelist

commit fed2293a9ee47da818246fa9dce5cf46718f1217
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:54:38 2020 +0000

    Missing \

commit 80619366520bf2fd1c3a8aae1884cfa2368da377
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:52:14 2020 +0000

    Relax /etc restrictions
    
    Breaks too many things

commit 4d32588653b8e4038f2e72e60d8d3eca006062ae
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:51:35 2020 +0000

    Relax /etc restrictions
    
    Breaks too many things

commit 5cc09e4ecc8059dcad35b3ab9bb549c03b6b29a8
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:48:14 2020 +0000

    /usr/games isn't used much

commit e7c841e0266f9938b24dd94198fc3e0aa6cc3a41
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:47:18 2020 +0000

    Mount /usr/include and finer-grained /usr/local restrictions

commit ec24ada79321a9a5ac01685691b59020a2c4de55
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:42:49 2020 +0000

    Fine-grained /etc restrictions

commit 6d472acf4c3d8fcdf37f905cff5a2fa5fd9f9c27
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:35:59 2020 +0000

    Mount/create more directories

commit c54715305db796ef74d9d1a711b809c842645926
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:31:36 2020 +0000

    Remove hexchat from wx_whitelist

commit d75d9456997a4173b3c9a55452de819a4bfc2c30
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:31:24 2020 +0000

    Fix /var permissions

commit 25771a63b100b45527ef6a6bc03b38f07034d65b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:27:14 2020 +0000

    Create /var/cache

commit f22a0190b093e2b47a418db6f165e9226c333efa
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:22:05 2020 +0000

    Create wx_whitelist

commit 7183b2a4d66c5007d10f9dc0e7e3f49336fb0f8c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 21:21:42 2020 +0000

    Create config

commit 3d2ca926216d5ac581b7e7b2336aa650daf15b4c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Sat Mar 14 20:58:44 2020 +0000

    Remove write access where it isn't required

commit 299dc65e4d91e3eb45143744f07d47ac31d00b51
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 13 21:36:31 2020 +0000

    Blacklist SIOCGIFHWADDR

commit ac9b9c12c086a2ad7cf1f56b4b3b4a412fd8964b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 13 21:28:51 2020 +0000

    Minor

commit 90d2bbe03e1748eff3294d8dcc983a1bb7265c00
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 13 21:27:54 2020 +0000

    Blacklist TIOCSETD and more comments

commit 46b3c6370551f880a04c81b9481d610e7b160f3b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 13 19:27:27 2020 +0000

    Blacklisting inet6 can break things

commit 9dc09eebb1bdcd846774557af6242fb9564e0e81
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 13 19:19:55 2020 +0000

    Don't blacklist quotactl
    
    Breaks Tor Browser

commit 74acbbd37071501b8fde8a19fba74d273884e9d0
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 13 18:35:44 2020 +0000

    Create own passwd and group files

commit 58894c32f6673371d63d867306252617eaf8a823
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 13 18:20:21 2020 +0000

    Fix mmap() restrictions

commit 46b9ad53e936f9e07d05bd8ed7818766f3afc31c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 13 00:28:10 2020 +0000

    Create seccomp-filter-wx.bpf

commit 9b182c717b4345c5b624fbd5c48eaf02ab7870b1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Fri Mar 13 00:20:50 2020 +0000

    Allow opting out of W^X

commit bce6f8d8dc80ee712444d8011b1bf48799c98c22
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 12 21:50:40 2020 +0000

    Disallow executing from /{,var/}tmp

commit cbf69006cb4679485081994d4b5478daae4bc8d6
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 12 21:40:07 2020 +0000

    Implement W^X

commit 91114ae375c6e80e13d3f13fe6beeb448270c70c
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 12 20:19:59 2020 +0000

    Blacklist TIOCSTI ioctl
    
    TIOCSTI has been used in sandbox escapes before and although those are fixed via bwrap's `--new-session` flag, TIOCSTI shouldn't be needed at all and should be blacklisted.

commit 7bfdf96297c8c811f9bb534895fa686fec5388de
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 12 18:07:02 2020 +0000

    Blacklist unused socket families

commit ec5565bb71cdaf8c1a2321041abffa0df5313c5b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Thu Mar 12 17:34:11 2020 +0000

    Blacklist 2 more syscalls

commit 7dd63b9b421bb3b86376af3ce79ebd510d5ddf91
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 11 22:31:18 2020 +0000

    Compiler flags

commit 245d219d19a9ab75c6059129700c381840c785c5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 11 21:11:05 2020 +0000

    Disallow writing to and executing from /etc

commit 142eb70e72a61b345fc432e65118036c2e3799ab
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 11 21:05:05 2020 +0000

    Remove uneeded proc permissions

commit 172b568c510fd91c6416ca179a7b005c00bcf739
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 11 21:04:15 2020 +0000

    Restrict all process info to owner
    
    Apps can't see other process info due to the PID namespace anyway

commit 23a8912f0b5f5322dad71829ffe9add745d4f0d1
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 11 20:56:15 2020 +0000

    Give write access to home directory

commit cabd23d3374e662fc66ffc7a38d01de0ebef5bf5
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 11 20:44:46 2020 +0000

    Only mount /sys/fs/cgroup

commit e04eed7200ca71f17992b02be04b019f0da55b08
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 11 20:27:05 2020 +0000

    Remove dangerous-files abstraction
    
    This isn't apparmor-profile-everything

commit 5324c469e4152669bc5a27ddb04a4ce2dcf680eb
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 11 20:23:39 2020 +0000

    Mount SSL certificates

commit b15b506e59bcaee3345f850473af0d13cd870c2e
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 11 20:21:08 2020 +0000

    Mount binary symlink

commit d1b84e5fd1c39b7203f8e91c73da57d4d70d64e3
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Wed Mar 11 19:45:30 2020 +0000

    APP_NAME isn't needed if we use owner rules

commit c3b17262ca7e6640b329cc885aba2067e54a7734
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 10 23:30:57 2020 +0000

    Update README.md

commit eb29e937101e7d23ce2a0736ea8b3a6753b65450
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 10 23:28:41 2020 +0000

    Licensing

commit 109148163f93492c3e8faacf6898536431abf21b
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 10 23:28:16 2020 +0000

    Add seccomp filter

commit 19961619cb5d0762570702bc4912bfe3751de09f
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 10 23:27:47 2020 +0000

    Add apparmor profile

commit 77690b61808fe2ac2303967effd1f1a756db1711
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 10 23:26:05 2020 +0000

    Add the main script

commit 143df039c64f7099cd2b6141bead657ed3c65743
Author: madaidan <50278627+madaidan@users.noreply.github.com>
Date:   Tue Mar 10 23:24:56 2020 +0000

    Initial commit
